$! setup_gle.com
$! 16-JAN-1997, David Mathog, biology division, Caltech
$!
$! if P1 is anything, this is silent
$!
$!
$!
$ proc = f$environment("PROCEDURE")
$ back = f$locate("]",proc)
$ top  = f$extract(0,back,proc)
$ dfonts = top + ".font]"
$ dlib   = top + ".lib]"
$ define/nolog cgle_top 'top'],'dfonts','dlib'
$ DCL_PATH = f$trnlnm("DCL$PATH")
$ if(DCL_PATH .eqs. "")
$ then
$    define dcl$path cgle_top
$ else
$     if f$locate("cgle_top",DCL_PATH) .ne. f$length(DCL_PATH)
$     then 
$        define/nolog dcl$path 'f$trnlnm("DCL$PATH") + "," + cgle_top
$     endif
$ endif
$!
$! contour must be RUN, not started up from DCL$PATH, so
$! define a symbol for it.
$!
$ contour :== $DCL$PATH:CONTOUR
$!
$ define/nolog  GLE_DEFAULT_QUEUE CPS_PS
$ define/nolog  GLE_QUE_LASER     CPS_PS
$!
$! The default is for GLE to stick a control-D at the beginning of every
$! postscript file.  This is generally a bad idea for VMS, so define a 
$! symbol to shut it off.
$!
$ GLE_NOCONTROLD :== "TRUE"
$ if(P1 .eqs."")
$ then
$ type sys$Input

 GLE graphics are ready.

 Drawing programs:
   $ GLE_(DVI,DVIPRINT,HPGL,PS,REGIS,TEK,VT, or X) graph.gle
        Enter the GLE environment and output graphics to the type of
        device indicated.
   $ SURF_(X,TEK,HPGL,PS)
        SURFace plots 3 dimensional data using a wire frame with
        hidden line removal, on the device shown.  Can also output
        a surface that GLE_* programs can use.

 Data processing programs:
   $ CONTOUR
        Convert a .Z file to a set of GLE compatible files.
   $ FITLS
        Least squares fit of functions to data.
   $ FITZ
        Fits smooth curves to a surface of data points.
   $ LETZ 
        Generates a data file of z values given an
        expression in terms of x and y.
   $ MANIP
        Spreadsheet like program for data manipulation.

  Note, all command line options must be separated by spaces, use
     gle_x graph.gle /draw
          not
     gle_x graply.gle/draw

$ write sys$output "Examples for use with these programs are in:"
$ write sys$Output "  GLE        ",top,".DEMO.GLE]"
$ write sys$Output "  SURFace    ",top,".DEMO.SURFACE]"
$ write sys$Output "  CONTOUR    ",top,".UTIL.CONTOUR]"
$ write sys$Output "  FITLS      ",top,".UTIL.FITLS]"
$ write sys$Output "  FITZ       ",top,".UTIL.FITZ]"
$ write sys$Output "  LETZ       ",top,".UTIL.LETZ]"
$ write sys$Output "  MANIP      ",top,".UTIL.MANIP]"
$ write sys$Output "The Manual:  ",top,".MANUAL]GLE.TXT"
$endif
